* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
}

html,
body {
    width: 100%;
    min-width: 1200px;
    height: 100%;
}

.index-container {
    background-image: url("../images/kunlunmeta-agi-product-section__bg.png");
    background-size: 100% 100%;
    background-repeat: repeat-y;
}

.klm-join-agi-header-img {
    width: 104px;
    position: absolute;
}

/* === */
.kunlunmeta-agi-product-section {
    width: 1200px;
    margin: 0 auto;
    padding-top: 56px;
}

.kunlunmeta-agi-product-section__title {
    padding-left: 28px;
    position: relative;
}

.kunlunmeta-agi-product-section__title-tag {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #A6C6DB;
    line-height: 33px;
}

.kunlunmeta-agi-product-section__title-main {
    margin-top: 16px;
    margin-bottom: 32px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
    position: relative;
    z-index: 10;
}

.kunlunmeta-agi-product-section__title .klm-join-agi-header-img {
    top: -20px;
    left: 320px;
}

.klm-agi-product-card-group {
    display: flex;
    gap: 16px;
}

.klm-agi-product-card-infra,
.klm-agi-product-card-aigc,
.klm-agi-product-card-aigs {
    position: relative;
    padding: 32px 30px;
    height: 480px;
    transition: all 0.3s ease;
    border: 1px solid transparent;
    overflow: hidden;
}

.klm-agi-product-card-infra:hover,
.klm-agi-product-card-aigc:hover,
.klm-agi-product-card-aigs:hover {
    /* background: linear-gradient(180deg, #051A79 0%, #121630 100%); */
    box-shadow: 0px 0px 11px 0px rgba(22, 90, 181, 0.83);
    border-radius: 8px;
    border: 1px solid #1B5175;
}

.klm-agi-product-card-infra:hover .klm-agi-product-card-hover-container,
.klm-agi-product-card-aigc:hover .klm-agi-product-card-hover-container,
.klm-agi-product-card-aigs:hover .klm-agi-product-card-hover-container {
    opacity: 1;

    box-sizing: border-box;
}

.klm-agi-product-card-infra:hover .klm-agi-product-card-icon,
.klm-agi-product-card-aigc:hover .klm-agi-product-card-icon,
.klm-agi-product-card-aigs:hover .klm-agi-product-card-icon {
    opacity: 0;
}

.klm-agi-product-card-hover-container {
    position: absolute;
    background: linear-gradient(180deg, #051A79 0%, #121630 100%);
    width: 100%;
    bottom: 0;
    left: 0;
    height: 375px;
    opacity: 0;
    transition: all 0.3s ease;
    z-index: 20;
    padding: 0 28px;
}

.klm-agi-product-card-hover-content {
    position: relative;
    height: 100%;
    width: 100%;
    padding-bottom: 78px;
}

.tech-highlights-container {}

.tech-highlights-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 28px;
}

.tech-highlights-list {
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.tech-highlights-item {
    display: flex;
    gap: 14px;
}

.tech-highlights-icon {
    height: 16px;
    flex-shrink: 0;
}

.tech-highlights-content {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
    line-height: 22px;
}

.klm-agi-product-card-hover-text {
    position: absolute;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    height: 44px;
    line-height: 44px;
    background: linear-gradient(309deg, #11A0F8 0%, #0767EE 100%);
    border-radius: 8px;
    bottom: 24px;
    right: 50%;
    transform: translateX(50%);
    z-index: 30;
    width: 100%;
    text-align: center;
    cursor: pointer;
}

.klm-agi-product-card-infra {
    background-image: url("../images/klm-agi-product-card-infra.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.klm-agi-product-card-aigc {
    background-image: url("../images/klm-agi-product-card-aigc.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.klm-agi-product-card-aigs {
    background-image: url("../images/klm-agi-product-card-aigs.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.klm-agi-product-card-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
}

.klm-agi-product-card-subtitle {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 16px;
    color: #5491DF;
    line-height: 22px;
    margin-top: 8px;
}

.klm-agi-product-card-description {
    margin-top: 34px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
    line-height: 22px;
}

.klm-agi-product-card-icon {
    position: absolute;
    bottom: 24px;
    right: 24px;
    background-image: url("../images/klm-agi-product-card-icon.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 44px;
    width: 44px;
    cursor: pointer;
    z-index: 10;
    transition: all 0.3s ease;
    opacity: 1;
}

/* === */
.klm-explore-frontier-section {
    width: 1200px;
    margin: 0 auto;
    margin-top: 135px;
}

.klm-explore-frontier-title {
    padding-left: 28px;
    position: relative;
}

.klm-explore-frontier-title__tag {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #A6C6DB;
    line-height: 33px;
}

.klm-explore-frontier-title__main {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
    margin-top: 16px;
    margin-bottom: 32px;
    position: relative;
    z-index: 10;
}

.klm-explore-frontier-title .klm-join-agi-header-img {
    top: -20px;
    left: 320px;
}

.klm-explore-frontier-card-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
}

.klm-explore-frontier-card-model-intelligence,
.klm-explore-frontier-card-physical-intelligence,
.klm-explore-frontier-card-machine-operation,
.klm-explore-frontier-card-computing-asset {
    padding: 32px 22px 12px 22px;
    height: 220px;
    background: #00116E;
    border-radius: 8px;
    border: 1px solid #1C5383;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 16px;
}

.klm-explore-frontier-card-model-intelligence:hover .klm-explore-frontier-card-link,
.klm-explore-frontier-card-physical-intelligence:hover .klm-explore-frontier-card-link,
.klm-explore-frontier-card-machine-operation:hover .klm-explore-frontier-card-link,
.klm-explore-frontier-card-computing-asset:hover .klm-explore-frontier-card-link {
    opacity: 1;
}

.klm-explore-frontier-card-content {
    height: 100%;
    padding-bottom: 27px;
    position: relative;
}

.klm-explore-frontier-card-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 30px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
}

.klm-explore-frontier-card-description {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #C9DCF9;
    line-height: 20px;
    margin-top: 12px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
}

.klm-explore-frontier-card-link {
    position: absolute;
    bottom: 0;
    left: 0;
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 12px;
    color: #FFFFFF;
    line-height: 17px;
    text-decoration: none;
    opacity: 0;
    transition: all 0.3s ease;
}

.klm-explore-frontier-card-link-icon {
    width: 10px;
    height: 10px;
    margin-left: 8px;
}

.klm-explore-frontier-card-img-wrapper {
    flex-shrink: 0;
}

.klm-explore-frontier-card-img-model-intelligence {
    height: 170px;
}

.klm-explore-frontier-card-img-physical-intelligence {
    height: 182px;
}

.klm-explore-frontier-card-img-machine-operation {
    width: 160px;
}

.klm-explore-frontier-card-img-computing-asset {
    height: 168px;
}

/* === */
.klm-join-agi-section {
    padding-top: 105px;
    width: 1200px;
    margin: 0 auto;
    margin-bottom: 115px;
}

.klm-join-agi-header {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.klm-join-agi-header-content {
    position: relative;
}

.klm-join-agi-header-tag {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #A6C6DB;
    line-height: 33px;
    position: relative;
    z-index: 10;
}

.klm-join-agi-header-desc {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 18px;
    color: #FFFFFF;
    line-height: 33px;
    margin-top: 16px;
    position: relative;
    z-index: 10;
}

.klm-join-agi-header-link {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 22px;
    letter-spacing: 1px;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 12px;
}

.klm-join-agi-header-link-icon {
    width: 14px;
    height: 14px;
}

.klm-join-agi-content-group {
    margin-top: 32px;
}

.klm-join-agi-content-item {
    padding: 22px 104px 22px 22px;
    display: flex;
    align-items: center;
    border-top: 1px solid;
    border-image: linear-gradient(90deg,
            rgba(11, 13, 61, 1) 0%,
            /* 起始色 */
            rgba(122, 187, 230, 0.36) 40%,
            /* 中间渐变点 */
            rgba(11, 13, 61, 1) 75%,
            /* 80%处回到起始色 */
            transparent 75%,
            /* 80%处立即转为透明 */
            transparent 100%
            /* 剩余20%保持透明 */
        ) 1 1;
    /* border-image: linear-gradient(90deg, rgba(11, 13, 61, 1), rgba(122, 187, 230, 0.36), rgba(11, 13, 61, 1)) 1 1; */
    transition: all 0.3s ease;
}

.klm-join-agi-content-item:hover {
    background-color: #0A1E7A;
}

.klm-join-agi-content-item:hover .klm-join-agi-content-item-link {
    opacity: 1;
}

.klm-join-agi-content-item:hover .klm-join-agi-content-item-link-icon {
    opacity: 1;
}

.klm-join-agi-content-item-date {
    display: flex;
    align-items: center;
    gap: 4px;
    flex-shrink: 0;
}

.klm-join-agi-content-item-date-num,
.klm-join-agi-content-item-date-split {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 32px;
    color: #D0D0D0;
    line-height: 45px;
}

.klm-join-agi-content-item-date-time {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #D0D0D0;
    line-height: 20px;
}

.klm-join-agi-content-item-text {
    padding-left: 80px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 705px;
    min-width: 705px;
}

.klm-join-agi-content-item-label {
    padding: 0 8px;
    height: 19px;
    background: #313851;
    border-radius: 4px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 12px;
    color: #317AF7;
    line-height: 19px;
}

.klm-join-agi-content-item-title {
    width: 100%;
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 30px;
    margin-top: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.klm-join-agi-content-item-desc {
    width: 100%;
    margin-top: 4px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #C9DCF9;
    line-height: 20px;
    height: 60px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
}

.klm-join-agi-content-item-cert-wrapper {
    padding-left: 68px;
    flex-shrink: 0;
}

.klm-join-agi-content-item-cert-img {
    width: 249px;
    height: 158px;
    border-radius: 8px;
}

.klm-join-agi-content-item-link {
    margin-top: 20px;
    opacity: 0;
    transition: all 0.3s ease;
}

.klm-join-agi-content-item-link-icon {
    margin-top: 20px;
    opacity: 0;
    transition: all 0.3s ease;
    width: 23px;
}

.klm-join-agi-header-content .klm-join-agi-header-img {
    top: -26px;
    right: 320px;
}

/* === */
.klm-contact-section {
    position: relative;
    width: 1200px;
    margin: 0 auto;
    background: rgba(56, 56, 118, 0.34);
    border-radius: 8px;
    backdrop-filter: blur(10px);
    /* padding: 52px 0; */
}

.klm-contact-content-group {
    display: flex;
}

.klm-contact-module-trial,
.klm-contact-module-business {
    border-right: 1px dashed #CBD0D6;
}

.klm-contact-module-trial,
.klm-contact-module-business,
.klm-contact-module-partner {
    padding: 0 80px;
    flex: 1;
    position: relative;
}

.klm-contact-module-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    color: #5491DF;
    line-height: 33px;
}

.klm-contact-module-trial,
.klm-contact-module-partner {
    padding-bottom: 27px;
}

.klm-contact-module-desc,
.klm-contact-module-info {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    margin-top: 28px;
}

.klm-contact-module-time {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    margin-top: 8px;
}

.klm-contact-module-link {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 12px;
    color: #FFFFFF;
    line-height: 17px;
    position: absolute;
    bottom: 0;
    left: 80px;
    text-decoration: none;
}

/* === */
.klm-contact-cards {
    padding: 48px 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.contact-card {
    display: flex;
    gap: 24px;
}

.contact-card__content {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.contact-card__title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #5491DF;
    line-height: 33px;
}

.contact-card__info {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    cursor: pointer;
}

/* === */
.investor-contact-card-group {
    display: flex;
    gap: 20px;
    margin-top: 42px;
    padding: 42px 32px;
    justify-content: space-between;
}

.investor-contact-card {
    width: 416px;
    height: 200px;
}

.ceo-contact-card {
    background-image: url('../images/inv-relation/investor-contact-ceo.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

.company-address-card {
    background-image: url('../images/inv-relation/investor-contact-address.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: relative;
}

.ceo-contact-card-content,
.company-address-card-content {
    padding-top: 46px;
    padding-left: 40px;
}

.ceo-contact-card-name-wrap {
    display: flex;
    align-items: center;
    gap: 12px;
}

.ceo-contact-card-name,
.company-address-card-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 28px;
}

.ceo-contact-card-position {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
}

.ceo-contact-card-email,
.ceo-contact-card-phone,
.company-address-card-info {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
}

.company-address-card-info-wrap,
.ceo-contact-card-email-wrap,
.ceo-contact-card-phone-wrap {
    display: flex;
    align-items: center;
}

.company-address-card-info-wrap,
.ceo-contact-card-email-wrap {
    margin-top: 24px;
}

.ceo-contact-card-phone-wrap {
    margin-top: 16px;
}

.company-address-card-icon,
.ceo-contact-card-phone-icon,
.ceo-contact-card-email-icon {
    width: 16px;
    margin-right: 8px;
}

.gd-icon-wrapper{
    background-color: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: all 0.3s ease;
}

.gd-icon-wrapper:hover{
    opacity: 1;
}